Bug 1471244 - [NMCI][abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager killed by 6
[NMCI][abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManag...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
http://faf.lab.eng.brq.redhat.com/faf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 15:35 EDT by Vladimir Benes
Modified: 2017-09-04 11:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-17 16:24:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] core: fix detection of relevant changes in nm_ipX_config_replace() (1.99 KB, patch)
2017-07-15 05:58 EDT, Beniamino Galvani
no flags Details | Diff

  None (edit)
Description Vladimir Benes 2017-07-14 15:35:55 EDT
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/6a602b8c39cb3986c23a4e3bec63153df3648eb3/
Comment 1 Beniamino Galvani 2017-07-15 05:58 EDT
Created attachment 1298823 [details]
[PATCH] core: fix detection of relevant changes in nm_ipX_config_replace()
Comment 2 Thomas Haller 2017-07-17 05:52:10 EDT
(In reply to Beniamino Galvani from comment #1)
> Created attachment 1298823 [details]
> [PATCH] core: fix detection of relevant changes in nm_ipX_config_replace()

lgtm, but could we keep the calls to nm_ip_config_obj_id_equal_ip4_route() and just add the additional checks for metric/gateway?
Comment 3 Beniamino Galvani 2017-07-17 16:24:07 EDT
(In reply to Thomas Haller from comment #2)
> (In reply to Beniamino Galvani from comment #1)
> > Created attachment 1298823 [details]
> > [PATCH] core: fix detection of relevant changes in nm_ipX_config_replace()
> 
> lgtm, but could we keep the calls to nm_ip_config_obj_id_equal_ip4_route()
> and just add the additional checks for metric/gateway?

Changed and applied to master:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=8469d77e2bbd53af578377170cedaa85ba38b076

Note You need to log in before you can comment on or make changes to this bug.